Subject: RE: [Sipping] Re: draft-elwell-sipping-service-retargeting-00.txt

From: "Elwell, John" <[email-masked]>
Date: Wed, 19 Oct 2005 20:30:47 +0100

Sorry for the delay, but my incoming email seemed to be delayed last night,
so I have a huge backlog this evening. See in-line.

> -----Original Message-----
> From: Francois Audet [mailto:[email-masked]] 
> Sent: 18 October 2005 22:11
> To: Dean Willis; Paul Kyzivat
> Cc: sipping; Elwell, John
> Subject: RE: [Sipping] Re: 
> draft-elwell-sipping-service-retargeting-00.txt
> 
> > In which case, if we follow the principles of RFC 3087, it becomes  
> > the responsibility of whoever fills in this URI to include 
> whatever  
> > parameters are needed by the target. I'm fairly happy with that  
> > understanding, if that's what Francois is really saying, 
> and if John  
> > and the other folks agree.
> 
> That's what I was saying indeed. 
> 
> Let's wait for John to clarify what he meant...
[JRE] My expectations seem to differ somewhat from my co-author's, but I
think both are accommodated by the draft. I would like to be able to supply
service retargeting information to any UAS user or application I choose, in
order to advise them what happened to the call before it reached them,
rather than having to supply information to suit a particular application
that I am retargeting to. For example, suppose I forward my calls or some of
my calls on busy to a deputy (e.g., assistant, member of staff, colleague,
secretary, application). I just wish to say that this call was service
retargeted from me to him/her because of busy. That user or application can
do what it wants with that information. For example, a VM might use it to
get to the right mailbox and choose the right greeting. A simple telephone
might just display something appropriate in the local language.

> 
> > So if that's true, what we're talking about here is really 
> something  
> > like the netann draft, in that it is informationally defining some  
> > reusable parameters for specific services that are invoked in a  
> > manner consistent with RFC 3087. If that's what we want, I think  
> > that's a manageable scope and something we know how to do.
> 
> Yes.
> 
> > Like netann and 3087, this doesn't even have to be (although 
> > it could  
> > be, if we have that sort of consensus) a working group 
> document. It  
> > could proceed as an individual informational. Of course, like 
> > netann,  
> > we'd still want to make sure it actually answers the questions and  
> > doesn't confuse people excessively.
> 
> I think it's pretty obvious we failed on the "confusion" front...
> 
> Thanks.
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP